#include "xfxelemdefvisuals.h"

XFxElemDefVisuals::XFxElemDefVisuals()
    : XAsset()
    , mMarkArrayPtr(0)
    , mMarkArray()
    , mArrayPtr(0)
    , mArray()
    , mInstance()
{
    
}

XFxElemDefVisuals::~XFxElemDefVisuals()
{
    
}

void XFxElemDefVisuals::Clear()
{
    mMarkArrayPtr = 0;
    mMarkArray.clear();
    mArrayPtr = 0;
    mArray.clear();
    mInstance = XFxElemVisuals();
}

void XFxElemDefVisuals::ParseData(QDataStream *aStream)
{
    
}
